be.vlaanderen.mercurius.mohm.schemas.v1

## Class PushDecisionRequestType

- java.lang.Object
- - be.vlaanderen.mercurius.mohm.schemas.v1.PushDecisionRequestType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:17:08+01:00",
                 comments="JAXB RI v2.3.7")
      public class PushDecisionRequestType
      extends Object
      implements Serializable

  Groeperend element voor de beslissing van een aanvraag of een aflevering in de push naar de verstrekker.

  Java class for PushDecisionRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PushDecisionRequestType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="VSBReference" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}VSBReferenceType"/>
               <choice>
                 <element name="DecisionApplication" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}DecisionApplicationType"/>
                 <element name="DecisionDelivery" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}DecisionDeliveryType"/>
               </choice>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PushDecisionRequestType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DecisionApplicationType` | `getDecisionApplication()` Gets the value of the decisionApplication property.
    `DecisionDeliveryType` | `getDecisionDelivery()` Gets the value of the decisionDelivery property.
    `String` | `getVSBReference()` Gets the value of the vsbReference property.
    `void` | `setDecisionApplication(DecisionApplicationType value)` Sets the value of the decisionApplication property.
    `void` | `setDecisionDelivery(DecisionDeliveryType value)` Sets the value of the decisionDelivery property.
    `void` | `setVSBReference(String value)` Sets the value of the vsbReference property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PushDecisionRequestType

          public PushDecisionRequestType()

  - ### Method Detail

    - #### getVSBReference

          public String getVSBReference()

      Gets the value of the vsbReference property.
      Returns:
        possible object is `String`

    - #### setVSBReference

          public void setVSBReference(String value)

      Sets the value of the vsbReference property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDecisionDelivery

          public DecisionDeliveryType getDecisionDelivery()

      Gets the value of the decisionDelivery property.
      Returns:
        possible object is `DecisionDeliveryType`

    - #### setDecisionDelivery

          public void setDecisionDelivery(DecisionDeliveryType value)

      Sets the value of the decisionDelivery property.
      Parameters:
        `value` - allowed object is `DecisionDeliveryType`

    - #### getDecisionApplication

          public DecisionApplicationType getDecisionApplication()

      Gets the value of the decisionApplication property.
      Returns:
        possible object is `DecisionApplicationType`

    - #### setDecisionApplication

          public void setDecisionApplication(DecisionApplicationType value)

      Sets the value of the decisionApplication property.
      Parameters:
        `value` - allowed object is `DecisionApplicationType`

Connector Packaging TRUSSMAKER 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.